Gda.DbCatalog – Gda-6.0 Reference Manual

# DbCatalog

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_db_catalog_get_type ()" ) ]
public class DbCatalog : Object
Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public Connection connection { owned get; set; }
- public string schema_name { owned get; set; }

### Static methods:

- public static Quark error_quark ()
- public static bool validate_file_from_path (string xmlfile) throws Error

### Creation methods:

- public DbCatalog ()

### Methods:

- public void append_table (DbTable table)
- public void append_view (DbView view)
- public unowned DbTable get_table (string catalog, string schema, string name)
- public unowned List<DbTable> get_tables ()
- public unowned DbView get_view (string catalog, string schema, string name)
- public unowned List<DbView> get_views ()
- public bool parse_cnc () throws Error
- public bool parse_file (File xmlfile) throws Error
- public bool parse_file_from_path (string xmlfile) throws Error
- public bool perform_operation () throws Error
- public bool write_to_file (File file) throws Error
- public bool write_to_path (string path) throws Error

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref